%define upstream_name    Mozilla-CA
%define upstream_version 20130114

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Mozilla's CA cert bundle in PEM format
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Mozilla/%{upstream_name}-%{upstream_version}.tar.gz
# RHBZ #738383
Patch0:         Mozilla-CA-20130114-Redirect-to-ca-certificates-bundle.patch
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test)
BuildRequires: rootcerts >= 1:20121229.00
Requires: rootcerts >= 1:20121229.00
BuildArch:  noarch

%description
Mozilla::CA provides a copy of Mozilla's bundle of Certificate Authority
certificates in a form that can be consumed by modules and libraries based
on OpenSSL.

The module provide a single function:

* SSL_ca_file()

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1
# Do not distribute Mozilla downloader, we take certificates from
# the rootcerts package
rm mk-ca-bundle.pl
sed -i '/^mk-ca-bundle.pl$/d' MANIFEST

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog

* Tue Apr 30 2013 oden <oden> 20130114.0.0-2.mga3
+ Revision: 411601
- sync with perl-Mozilla-CA-20130114-2.fc19.src.rpm
- use the latest 20130114 version
- Stupid package!!!. Force it to use the up-to-date certdata.txt file from the
  rootcerts package and regenerate the bundled lib/Mozilla/CA/cacert.pem file
  at build time. For security reasons this package (perl-Mozilla-CA) should be
  rebuilt each time the rootcerts package has been updated.

* Sun Jan 13 2013 umeabot <umeabot> 20120823.0.0-2.mga3
+ Revision: 370396
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 20120823.0.0-1.mga3
+ Revision: 286340
- update to 20120823

* Tue Jun 05 2012 jquelin <jquelin> 20120309.0.0-1.mga3
+ Revision: 255179
- update to 20120309

* Wed Jan 25 2012 jquelin <jquelin> 20120118.0.0-1.mga2
+ Revision: 200934
- update to 20120118

* Wed Oct 26 2011 takashi <takashi> 20111025.0.0-1.mga2
+ Revision: 158210
- update to 20111025

* Mon Sep 26 2011 jquelin <jquelin> 20110914.0.0-1.mga2
+ Revision: 148136
- update to 20110914

* Tue Apr 12 2011 jquelin <jquelin> 20110409.0.0-1.mga1
+ Revision: 83780
- update to 20110409

* Sun Mar 20 2011 jquelin <jquelin> 20110301.0.0-1.mga1
+ Revision: 74893
- imported package perl-Mozilla-CA


* Sun Mar 20 2011 cpan2dist 20110301-1mga
- initial mageia release, generated with cpan2dist
